ru.bitel.bgbilling.modules.inet.api.common.bean

## Class TrafficMaxDetailReport

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.common.bean.TrafficMaxDetailReport

-     public class TrafficMaxDetailReport
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrafficMaxDetailReport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMode()`
    `java.lang.String` | `getTitle()`
    `java.util.List<TrafficMaxDetail>` | `getTrafficMaxDetailList()`
    `int` | `getTrafficTypeId1()`
    `int` | `getTrafficTypeId2()`
    `long` | `getTreeNodeId()`
    `void` | `setMode(int mode)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setTrafficMaxDetailList(java.util.List<TrafficMaxDetail> trafficMaxDetailList)`
    `void` | `setTrafficTypeId1(int trafficTypeId1)`
    `void` | `setTrafficTypeId2(int trafficTypeId2)`
    `void` | `setTreeNodeId(long treeNodeId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrafficMaxDetailReport

          public TrafficMaxDetailReport()

  - ### Method Detail

    - #### getTreeNodeId

          public long getTreeNodeId()

    - #### setTreeNodeId

          public void setTreeNodeId(long treeNodeId)

    - #### getMode

          public int getMode()

    - #### setMode

          public void setMode(int mode)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getTrafficTypeId1

          public int getTrafficTypeId1()

    - #### setTrafficTypeId1

          public void setTrafficTypeId1(int trafficTypeId1)

    - #### getTrafficTypeId2

          public int getTrafficTypeId2()

    - #### setTrafficTypeId2

          public void setTrafficTypeId2(int trafficTypeId2)

    - #### getTrafficMaxDetailList

          public java.util.List<TrafficMaxDetail> getTrafficMaxDetailList()

    - #### setTrafficMaxDetailList

          public void setTrafficMaxDetailList(java.util.List<TrafficMaxDetail> trafficMaxDetailList)